# Class CAItemSerialMatchConverter

java.lang.Object
com.io7m.cardant.shell.internal.converters.CAItemSerialMatchConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<CAItemSerialMatch>`

public final class CAItemSerialMatchConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<CAItemSerialMatch>
A value converter for serial number match expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAItemSerialMatchConverter(CAStrings inStrings)`
  Construct a converter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<CAItemSerialMatch>`
  `convertedClass()`
  `CAItemSerialMatch`
  `convertFromString(String text)`
  `String`
  `convertToString(CAItemSerialMatch value)`
  `CAItemSerialMatch`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CAItemSerialMatchConverter

    public CAItemSerialMatchConverter(CAStrings inStrings)
    Construct a converter.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### convertFromString

    public CAItemSerialMatch convertFromString(String text) throws com.io7m.quarrel.core.QException
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<CAItemSerialMatch>`
    Throws:
      `com.io7m.quarrel.core.QException`

  - ### convertToString

    public String convertToString(CAItemSerialMatch value) throws com.io7m.quarrel.core.QException
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<CAItemSerialMatch>`
    Throws:
      `com.io7m.quarrel.core.QException`

  - ### exampleValue

    public CAItemSerialMatch exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<CAItemSerialMatch>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<CAItemSerialMatch>`

  - ### convertedClass

    public Class<CAItemSerialMatch> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<CAItemSerialMatch>`